コンテンツにスキップ
Taylorz CRM Developers
Esc
↑↓移動↵開く⌘Jプレビュー

List an object's fields

GET/api/v1/objects/{objectId}/fields
認証
AuthorizationOAuth2 アクセストークン · header必須

Authorization-code grant with PKCE. Clients are public and hold no secret. Discovery is published at /.well-known/oauth-authorization-server/api/auth.

スコープ:api.access
パスパラメーター
objectIdstring必須

An object's id

最小長 1 · 最大長 255
レスポンス
200

The object's fields

CrmField の配列
definitionobject必須
プロパティを表示
いずれか 1 つ:
object
keystring必須
^[a-z][a-z0-9_]{0,62}$ に一致
labelstring必須
最小長 1 · 最大長 120
requiredboolean必須
デフォルト: false
visibleByDefaultboolean
typestring必須
許可される値:textlongtextdecimalcurrencypercentbooleandatedatetimeemailurlphoneuseraddress
object
keystring必須
^[a-z][a-z0-9_]{0,62}$ に一致
labelstring必須
最小長 1 · 最大長 120
requiredboolean必須
デフォルト: false
visibleByDefaultboolean
optionsstring[]必須
最大項目数 200
typestring必須
object
keystring必須
^[a-z][a-z0-9_]{0,62}$ に一致
labelstring必須
最小長 1 · 最大長 120
requiredboolean必須
デフォルト: false
visibleByDefaultboolean
optionsstring[]必須
最大項目数 200
typestring必須
object
keystring必須
^[a-z][a-z0-9_]{0,62}$ に一致
labelstring必須
最小長 1 · 最大長 120
requiredboolean必須
デフォルト: false
visibleByDefaultboolean
cardinalitystring必須
許可される値:onemany
targetObjectIdstring必須
最小長 1 · 最大長 255
typestring必須
object
keystring必須
^[a-z][a-z0-9_]{0,62}$ に一致
labelstring必須
最小長 1 · 最大長 120
requiredboolean必須
デフォルト: false
visibleByDefaultboolean
formulaobject必須
プロパティを表示
leftstring必須
^[a-z][a-z0-9_]{0,62}$ に一致
operatorstring必須
許可される値:addsubtractmultiplydivide
rightstring必須
^[a-z][a-z0-9_]{0,62}$ に一致
typestring必須
object
keystring必須
^[a-z][a-z0-9_]{0,62}$ に一致
labelstring必須
最小長 1 · 最大長 120
requiredboolean必須
デフォルト: false
visibleByDefaultboolean
rollupobject必須
プロパティを表示
aggstring必須
許可される値:countsumavgminmaxlastfirst
columnstring | null必須
プロパティを表示
いずれか:
string
string
null
null
filtersobject[]必須
最大項目数 20
プロパティを表示
object の配列
idstring必須
最大長 128
keystring必須
最小長 1 · 最大長 128
opstring必須
許可される値:containsnotContainsisisNotisAnyOfisNoneOfgtgteltltebeforeafteronOrBeforeonOrAfterisBetweenisYesterdayisTodayisTomorrowisLastWeekisThisWeekisNextWeekisLastMonthisThisMonthisNextMonthisPastisFutureisEmptyisNotEmptyisTrueisFalse
valuestring必須
最大長 500
valuesstring[]必須
最大項目数 50
foreignKeystring必須
最小長 1 · 最大長 128
modestring
許可される値:relatedListrelationship
objectstring必須
最小長 1 · 最大長 128
orderBystring | null
プロパティを表示
いずれか:
string
string
null
null
scoreobject | null
プロパティを表示
いずれか:
object
bucketsinteger
最小 1 · 最大 20
directionstring
許可される値:descasc
null
null
typestring必須
object
keystring必須
^[a-z][a-z0-9_]{0,62}$ に一致
labelstring必須
最小長 1 · 最大長 120
requiredboolean必須
デフォルト: false
visibleByDefaultboolean
daysSinceobject必須
プロパティを表示
columnstring必須
最小長 1 · 最大長 128
typestring必須
idstring必須
最小長 1 · 最大長 255
systemboolean必須
400

The request body, query or parameters were refused

codestring必須
許可される値:invalid_inputnot_foundconflictforbidden
detailany
errorstring必須
reasonstring
401

The access token is missing, invalid or revoked

errorstring必須
403

The tenant's module is off, or the token's scope or the member's role does not permit the action

codestring必須
許可される値:invalid_inputnot_foundconflictforbidden
detailany
errorstring必須
reasonstring
404

No such record, or none the caller may read

codestring必須
許可される値:invalid_inputnot_foundconflictforbidden
detailany
errorstring必須
reasonstring
413

The request exceeds the route's body limit

errorstring必須
500

An unexpected failure

errorstring必須
リクエスト
curl -X GET '/api/v1/api/v1/objects/string/fields' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Accept: application/json'
レスポンス
[
  {
    "definition": {
      "key": "string",
      "label": "string",
      "required": false,
      "visibleByDefault": true,
      "type": "text"
    },
    "id": "string",
    "system": true
  }
]

このページは役に立ちましたか?